net.minecraftforge.common

## Class DungeonHooks

- java.lang.Object
- - net.minecraftforge.common.DungeonHooks

-     public class DungeonHooks
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DungeonHooks.DungeonMob`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DungeonHooks()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static float` | `addDungeonMob(java.lang.String name, int rarity)` Adds a mob to the possible list of creatures the spawner will create.
    `static java.lang.String` | `getRandomDungeonMob(java.util.Random rand)` Gets a random mob name from the list.
    `static int` | `removeDungeonMob(java.lang.String name)` Will completely remove a Mob from the dungeon spawn list.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DungeonHooks

          public DungeonHooks()

  - ### Method Detail

    - #### addDungeonMob

          public static float addDungeonMob(java.lang.String name,
                            int rarity)

      Adds a mob to the possible list of creatures the spawner will create. If the mob is already in the spawn list, the rarity will be added to the existing one, causing the mob to be more common.
      Parameters:
        `name` - The name of the monster, use the same name used when registering the entity.
        `rarity` - The rarity of selecting this mob over others. Must be greater then 0. Vanilla Minecraft has the following mobs: Spider 100 Skeleton 100 Zombie 200 Meaning, Zombies are twice as common as spiders or skeletons.
      Returns:
        The new rarity of the monster,

    - #### removeDungeonMob

          public static int removeDungeonMob(java.lang.String name)

      Will completely remove a Mob from the dungeon spawn list.
      Parameters:
        `name` - The name of the mob to remove
      Returns:
        The rarity of the removed mob, prior to being removed.

    - #### getRandomDungeonMob

          public static java.lang.String getRandomDungeonMob(java.util.Random rand)

      Gets a random mob name from the list.
      Parameters:
        `rand` - World generation random number generator
      Returns:
        The mob name